class ApocBuilding extends ApocStaticActor;

var(Apocalypse) bool DrawDebug;
var array<ApocEnemy> Inhabitants;
var int MaxInhabitants;
var bool IsFull;

DefaultProperties
{
	DrawDebug = false;
}

event PreBeginPlay()
{
	super.PreBeginPlay();
	SetNavPoint();
}

function AddInhabitant(ApocEnemy inhabitant)
{
	if(Inhabitants.Length < MaxInhabitants)
	{
		Inhabitants.AddItem(inhabitant);
	}
	if(Inhabitants.Length == MaxInhabitants)
	{
		IsFull = true;
	}
}

exec function ToggleApocDrawDebug()
{
	DrawDebug = !DrawDebug;
}

function SetNavPoint()
{
}
