class ApocChurch extends ApocBuilding
	placeable;

event PreBeginPlay()
{
	super.PreBeginPlay();
}

function SetNavPoint()
{
	local Vector rot;
	local Vector pos;
	local Rotator uRot;
	local NavPoint np;
	
	uRot.Yaw = (16384);
	uRot += Rotation;
	pos = Location;
	
	rot = Vector(uRot);

	`log("Church is located at: " @pos @"and has rotation" @rot);
	pos = pos + (rot * 450);

	pos.Z += 50;
	np.isOccupied = false;
	np.navPoint = pos;
	NavPoints.AddItem(np);
}

event Tick(float DeltaTime)
{
	if(DrawDebug)
		DrawDebugPoint(GetNavPoint() ,10, MakeLinearColor(0, 255, 0, 64), false);
}

DefaultProperties
{	MaxInhabitants = 1;
}
