class ApocInventoryManager extends InventoryManager;

function OwnerDied()
{
}
/** Simply an alternate CreateInventory function which creates from an archetype, rather than just a class reference. */
simulated function Inventory CreateInventoryFromTemplate(Actor InventoryActorTemplate, optional bool bDoNotActivate)
{
	local Inventory	Inv;

	if( InventoryActorTemplate != None )
	{
		inv = Inventory(Spawn(InventoryActorTemplate.Class, Owner,,,,InventoryActorTemplate,true));
		if( inv != None )
		{
			if( !AddInventory(Inv, bDoNotActivate) )
			{
				`warn("InventoryManager::CreateInventory - Couldn't Add newly created inventory" @ Inv);
				Inv.Destroy();
				Inv = None;
			}
		}
		else
		{
			`warn("InventoryManager::CreateInventory - Couldn't spawn inventory" @ InventoryActorTemplate);
		}
	}

	return Inv;
}

DefaultProperties
{
	PendingFire(0)=0
	PendingFire(1)=0
}