class ApocWell extends ApocStaticActor
	placeable;

DefaultProperties
{	
}

event PreBeginPlay()
{
	super.PreBeginPlay();
	SetNavPoints();
}

function SetNavPoints()
{
	local Vector rot;
	local Vector pos;
	local Rotator uRot;
	local NavPoint np;
	
	uRot.Yaw = (16384 * 1);
	uRot += Rotation;
	pos = Location;
	
	rot = Vector(uRot);
	pos = pos + (rot * 100);

	pos.Z += 50;
	np.isOccupied = false;
	np.navPoint = pos;
	
	NavPoints.AddItem(np);

	uRot.Pitch = 0;
	uRot.Roll = 0;
	uRot.Yaw = (16384 * 3);
	uRot += Rotation;
	pos = Location;

	rot = Vector(uRot);
	pos = pos + (rot * 100);

	pos.Z += 50;
	np.isOccupied = false;
	np.navPoint = pos;
	
	NavPoints.AddItem(np);

}

function OccupyNavPoint(ApocPawn occupier, Vector navPointPos, bool isOccupying)
{
	local int i;

	for(i = 0; i < NavPoints.Length; i++)
	{
		if(NavPoints[i].navPoint == navPointPos)
		{
			NavPoints[i].isOccupied = isOccupying;
			if(isOccupying)
				`log(occupier.Name @ "is occupying " @ navPointPos);
			else
				`log(occupier.Name @ "is releasing " @ navPointPos);
			break;
		}
	}
}

event Tick(float DeltaTime)
{
	//DrawDebugPoint(GetNavPointAt(0) ,30, MakeLinearColor(255, 0, 0, 128), false);
	//DrawDebugPoint(GetNavPointAt(1) ,30, MakeLinearColor(0, 0, 255, 128), false);
}
